Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot.impl
Class JoinNodeImpl

Show UML class diagram

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  com.hammurapi.eventbus.snapshot.impl.JoinNodeImpl

All Implemented Interfaces:
  JoinNode, SnapshotElement, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class JoinNodeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements JoinNode

An implementation of the model object 'Join Node'.

The following features are implemented:

- `Id`
- `Name`
- `Details`
- `Snapshot`
- `Collectors`
- `Output Indices`
- `Handler`
- `Next`
- `Predicate`
- `Prev`
- `Join Inputs`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<JoinInputCollector>` | `collectors` The cached value of the '`Collectors`' containment reference list.
`protected String` | `details` The cached value of the '`Details`' attribute.
`protected static String` | `DETAILS_EDEFAULT` The default value of the '`Details`' attribute.
`protected Handler` | `handler` The cached value of the '`Handler`' reference.
`protected String` | `id` The cached value of the '`Id`' attribute.
`protected static String` | `ID_EDEFAULT` The default value of the '`Id`' attribute.
`protected org.eclipse.emf.common.util.EList<JoinInput>` | `joinInputs` The cached value of the '`Join Inputs`' reference list.
`protected String` | `name` The cached value of the '`Name`' attribute.
`protected static String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected JoinNode` | `next` The cached value of the '`Next`' reference.
`protected org.eclipse.emf.common.util.EList<Integer>` | `outputIndices` The cached value of the '`Output Indices`' attribute list.
`protected Predicate` | `predicate` The cached value of the '`Predicate`' containment reference.
`protected org.eclipse.emf.common.util.EList<JoinNode>` | `prev` The cached value of the '`Prev`' reference list.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `JoinNodeImpl()`

Method Summary
`Handler` | `basicGetHandler()`
`JoinNode` | `basicGetNext()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetHandler(Handler newHandler, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetNext(JoinNode newNext, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPredicate(Predicate newPredicate, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSnapshot(Snapshot newSnapshot, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<JoinInputCollector>` | `getCollectors()`
`String` | `getDetails()`
`Handler` | `getHandler()`
`String` | `getId()`
`org.eclipse.emf.common.util.EList<JoinInput>` | `getJoinInputs()`
`String` | `getName()`
`JoinNode` | `getNext()`
`org.eclipse.emf.common.util.EList<Integer>` | `getOutputIndices()`
`Predicate` | `getPredicate()`
`org.eclipse.emf.common.util.EList<JoinNode>` | `getPrev()`
`Snapshot` | `getSnapshot()`
`void` | `setDetails(String newDetails)`
`void` | `setHandler(Handler newHandler)`
`void` | `setId(String newId)`
`void` | `setName(String newName)`
`void` | `setNext(JoinNode newNext)`
`void` | `setPredicate(Predicate newPredicate)`
`void` | `setSnapshot(Snapshot newSnapshot)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ID_EDEFAULT

    protected static final String ID_EDEFAULT

  The default value of the '`Id`' attribute.

  See Also:
    `getId()`

### id

    protected String id

  The cached value of the '`Id`' attribute.

  See Also:
    `getId()`

### NAME_EDEFAULT

    protected static final String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### DETAILS_EDEFAULT

    protected static final String DETAILS_EDEFAULT

  The default value of the '`Details`' attribute.

  See Also:
    `getDetails()`

### details

    protected String details

  The cached value of the '`Details`' attribute.

  See Also:
    `getDetails()`

### collectors

    protected org.eclipse.emf.common.util.EList<JoinInputCollector> collectors

  The cached value of the '`Collectors`' containment reference list.

  See Also:
    `getCollectors()`

### outputIndices

    protected org.eclipse.emf.common.util.EList<Integer> outputIndices

  The cached value of the '`Output Indices`' attribute list.

  See Also:
    `getOutputIndices()`

### handler

    protected Handler handler

  The cached value of the '`Handler`' reference.

  See Also:
    `getHandler()`

### next

    protected JoinNode next

  The cached value of the '`Next`' reference.

  See Also:
    `getNext()`

### predicate

    protected Predicate predicate

  The cached value of the '`Predicate`' containment reference.

  See Also:
    `getPredicate()`

### prev

    protected org.eclipse.emf.common.util.EList<JoinNode> prev

  The cached value of the '`Prev`' reference list.

  See Also:
    `getPrev()`

### joinInputs

    protected org.eclipse.emf.common.util.EList<JoinInput> joinInputs

  The cached value of the '`Join Inputs`' reference list.

  See Also:
    `getJoinInputs()`

Constructor Detail

### JoinNodeImpl

    protected JoinNodeImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getId

    public String getId()

  Specified by:
    `getId` in interface `SnapshotElement`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `SnapshotElement.setId(String)`, `SnapshotPackage.getSnapshotElement_Id()`

### setId

    public void setId(String newId)

  Specified by:
    `setId` in interface `SnapshotElement`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `SnapshotElement.getId()`

### getName

    public String getName()

  Specified by:
    `getName` in interface `SnapshotElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `SnapshotElement.setName(String)`, `SnapshotPackage.getSnapshotElement_Name()`

### setName

    public void setName(String newName)

  Specified by:
    `setName` in interface `SnapshotElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `SnapshotElement.getName()`

### getDetails

    public String getDetails()

  Specified by:
    `getDetails` in interface `SnapshotElement`
  Returns:
    the value of the 'Details' attribute.
  See Also:
    `SnapshotElement.setDetails(String)`, `SnapshotPackage.getSnapshotElement_Details()`

### setDetails

    public void setDetails(String newDetails)

  Specified by:
    `setDetails` in interface `SnapshotElement`
  Parameters:
    `newDetails` - the new value of the 'Details' attribute.
  See Also:
    `SnapshotElement.getDetails()`

### getSnapshot

    public Snapshot getSnapshot()

  Specified by:
    `getSnapshot` in interface `SnapshotElement`
  Returns:
    the value of the 'Snapshot' container reference.
  See Also:
    `SnapshotElement.setSnapshot(Snapshot)`, `SnapshotPackage.getSnapshotElement_Snapshot()`, `Snapshot.getElements()`

### basicSetSnapshot

    public org.eclipse.emf.common.notify.NotificationChain basicSetSnapshot(Snapshot newSnapshot,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setSnapshot

    public void setSnapshot(Snapshot newSnapshot)

  Specified by:
    `setSnapshot` in interface `SnapshotElement`
  Parameters:
    `newSnapshot` - the new value of the 'Snapshot' container reference.
  See Also:
    `SnapshotElement.getSnapshot()`

### getCollectors

    public org.eclipse.emf.common.util.EList<JoinInputCollector> getCollectors()

  Specified by:
    `getCollectors` in interface `JoinNode`
  Returns:
    the value of the 'Collectors' containment reference list.
  See Also:
    `SnapshotPackage.getJoinNode_Collectors()`

### getOutputIndices

    public org.eclipse.emf.common.util.EList<Integer> getOutputIndices()

  Specified by:
    `getOutputIndices` in interface `JoinNode`
  Returns:
    the value of the 'Output Indices' attribute list.
  See Also:
    `SnapshotPackage.getJoinNode_OutputIndices()`

### getHandler

    public Handler getHandler()

  Specified by:
    `getHandler` in interface `JoinNode`
  Returns:
    the value of the 'Handler' reference.
  See Also:
    `JoinNode.setHandler(Handler)`, `SnapshotPackage.getJoinNode_Handler()`, `Handler.getJoinNode()`

### basicGetHandler

    public Handler basicGetHandler()

### basicSetHandler

    public org.eclipse.emf.common.notify.NotificationChain basicSetHandler(Handler newHandler,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setHandler

    public void setHandler(Handler newHandler)

  Specified by:
    `setHandler` in interface `JoinNode`
  Parameters:
    `newHandler` - the new value of the 'Handler' reference.
  See Also:
    `JoinNode.getHandler()`

### getNext

    public JoinNode getNext()

  Specified by:
    `getNext` in interface `JoinNode`
  Returns:
    the value of the 'Next' reference.
  See Also:
    `JoinNode.setNext(JoinNode)`, `SnapshotPackage.getJoinNode_Next()`, `JoinNode.getPrev()`

### basicGetNext

    public JoinNode basicGetNext()

### basicSetNext

    public org.eclipse.emf.common.notify.NotificationChain basicSetNext(JoinNode newNext,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setNext

    public void setNext(JoinNode newNext)

  Specified by:
    `setNext` in interface `JoinNode`
  Parameters:
    `newNext` - the new value of the 'Next' reference.
  See Also:
    `JoinNode.getNext()`

### getPredicate

    public Predicate getPredicate()

  Specified by:
    `getPredicate` in interface `JoinNode`
  Returns:
    the value of the 'Predicate' containment reference.
  See Also:
    `JoinNode.setPredicate(Predicate)`, `SnapshotPackage.getJoinNode_Predicate()`

### basicSetPredicate

    public org.eclipse.emf.common.notify.NotificationChain basicSetPredicate(Predicate newPredicate,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setPredicate

    public void setPredicate(Predicate newPredicate)

  Specified by:
    `setPredicate` in interface `JoinNode`
  Parameters:
    `newPredicate` - the new value of the 'Predicate' containment reference.
  See Also:
    `JoinNode.getPredicate()`

### getPrev

    public org.eclipse.emf.common.util.EList<JoinNode> getPrev()

  Specified by:
    `getPrev` in interface `JoinNode`
  Returns:
    the value of the 'Prev' reference list.
  See Also:
    `SnapshotPackage.getJoinNode_Prev()`, `JoinNode.getNext()`

### getJoinInputs

    public org.eclipse.emf.common.util.EList<JoinInput> getJoinInputs()

  Specified by:
    `getJoinInputs` in interface `JoinNode`
  Returns:
    the value of the 'Join Inputs' reference list.
  See Also:
    `SnapshotPackage.getJoinNode_JoinInputs()`, `JoinInput.getJoinNode()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD